## asammdf 8.5.1

=== requirements.txt ===
# Development dependencies
--editable .[decode,encryption,export,export-matlab-v5,filesystem,gui,plot,symbolic-math]
--requirement benchmarks/requirements.txt
--requirement ci/requirements.txt
--requirement doc/requirements.txt
--requirement test/requirements.txt
--requirement types-requirements.txt
build
mypy~=1.14
pre-commit
ruff~=0.11.0  # Aligned with .pre-commit-config.yaml
tox

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = asammdf
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== doc/requirements.txt ===
matplotlib
numpydoc
sphinx
sphinx-argparse
sphinx-rtd-theme
sphinxcontrib-mermaid
numpy>=1.23.0

=== test/requirements.txt ===
PyAutoGUI
pytest
pytest-cov
pytest-timeout
python-can
xmlrunner; python_version < "3.12"

=== debian/changelog ===
asammdf (8.5.1-1) unstable; urgency=medium

  * Initial upload (Closes: #1075926)

  [ Sébastien Noel ]
  * Enable tests
  * Update upstream code location
  * d/control: add more Depends for the GUI tool

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Jun 2025 13:44:15 +0200

=== debian/control ===
Source: asammdf
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 cmake,
 libdeflate-dev,
 pybuild-plugin-pyproject,
 python3-can <!nocheck>,
 python3-canmatrix <!nocheck>,
 python3-dateutil <!nocheck>,
 python3-dev,
 python3-h5py <!nocheck>,
 python3-lxml <!nocheck>,
 python3-lz4 <!nocheck>,
 python3-natsort <!nocheck>,
 python3-numexpr <!nocheck>,
 python3-numpy,
 python3-pandas <!nocheck>,
 python3-pyautogui <!nocheck>,
 python3-pyqtgraph <!nocheck>,
 python3-pyside6.qttest <!nocheck>,
 python3-pytest <!nocheck>,
 python3-scikit-build-core,
 python3-typing-extensions <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/asammdf
Vcs-Git: https://salsa.debian.org/python-team/packages/asammdf.git
Homepage: https://github.com/danielhrisca/asammdf
X-Style: black
Testsuite: autopkgtest-pkg-pybuild

Package: asammdf
Architecture: any
Depends:
 python3-natsort,
 python3-pyqtlet2,
 python3-pyqtgraph,
 python3-pyside6.qtwebenginewidgets,
 python3-qtpy-pyqt6,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: GUI application used to analyse engine CAN logs
 asammdf is a fast parser and editor for ASAM
 (Association for Standardization of Automation and Measuring Systems)
 MDF (Measurement Data Format) files.
 .
 asammdf supports MDF versions 2 (.dat), 3 (.mdf) and 4 (.mf4).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

#override_dh_auto_configure:
#	dh_auto_configure -- -DWITH_SYSTEM_DEFLATE=ON

override_dh_auto_test:
	xvfb-run -a -s "-screen 0 1024x768x24" dh_auto_test

## asammdf 8.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.26...3.29)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C VERSION ${SKBUILD_PROJECT_VERSION})

option(WITH_SYSTEM_DEFLATE "Use system provided deflate library" OFF)

find_package(
  Python
  REQUIRED
  COMPONENTS
  Interpreter
  Development.Module
  ${SKBUILD_SABI_COMPONENT}
  NumPy
  )

python_add_library(cutils MODULE WITH_SOABI USE_SABI 3.10 src/asammdf/blocks/cutils.c)

if (WITH_SYSTEM_DEFLATE)
  find_package(libdeflate REQUIRED)
  target_link_libraries(cutils PRIVATE Python::NumPy libdeflate::libdeflate_shared)
else()
  # Add submodule libdeflate
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
  set(LIBDEFLATE_COMPRESSION_SUPPORT OFF)
  set(LIBDEFLATE_GZIP_SUPPORT OFF)
  set(LIBDEFLATE_BUILD_GZIP OFF)
  add_subdirectory(ext/libdeflate EXCLUDE_FROM_ALL)
  target_link_libraries(cutils PRIVATE Python::NumPy libdeflate::libdeflate_static)
endif()


install(TARGETS cutils DESTINATION "asammdf/blocks")

=== benchmarks/requirements.txt ===
numpy
matplotlib
asammdf
mdfreader[compression]
psutil

=== ci/requirements.txt ===
junitparser

=== debian/changelog ===
asammdf (8.5.2-2) unstable; urgency=medium

  * Build depends on python3-pyside6.qtwebenginewidgets to only build on
    arches were asammdf is installable. (Closes: #1111778)
  * That also means no riscv64 for now (Closes: #1109924)

  [ Sébastien Noel ]
  * Fix reproducible builds

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Aug 2025 23:29:35 +0200

asammdf (8.5.2-1) unstable; urgency=medium

  * New upstream release.

  [ Sébastien Noel ]
  * Fix autopkgtest
  * Pass args to cmake
  * Add CPPFLAGS to CFLAGS ; see #653916

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Aug 2025 17:56:36 +0200

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-pyautogui <!nocheck>,
  python3-pyqtgraph <!nocheck>,
  python3-pyside6.qttest <!nocheck>,
+ python3-pyside6.qtwebenginewidgets,
  python3-pytest <!nocheck>,
  python3-scikit-build-core,
  python3-typing-extensions <!nocheck>,
@@ -35,7 +36,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/asammdf.git
 Homepage: https://github.com/danielhrisca/asammdf
 X-Style: black
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: asammdf
 Architecture: any
@@ -48,6 +48,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Recommends:
+ python3-isal,
 Description: GUI application used to analyse engine CAN logs
  asammdf is a fast parser and editor for ASAM
  (Association for Standardization of Automation and Measuring Systems)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export NO_NET_ACCESS=1
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test-reports {build_dir}/screenshots

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export CFLAGS+=$(CPPFLAGS)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run -a -s "-screen 0 1024x768x24" dh_auto_test

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/asammdf-$1/,uversionmangle=s/rc/~rc/g" \
 https://github.com/danielhrisca/asammdf/tags .*/(\d[\d\.a-z]+)\.tar\.gz
